Bug 122966 - logout+restart cycles power to IDE disks unnecessarily
logout+restart cycles power to IDE disks unnecessarily
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
: 123608 123873 125487 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-05-10 15:28 EDT by John Reiser
Modified: 2007-11-30 17:10 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-09 05:59:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Reiser 2004-05-10 15:28:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040505

Description of problem:
RedHat > Logout > Restart  now causes IDE disk drives to be powered
down, and the reboot causes them to be powered back up.  This causes
unnecessary wear and tear on the drives.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Running .358 kernel with Gnome desktop: RedHat > Logout > Restart

Actual Results:  On the text console:
Shutting down: hdb  ## (E)IDE harddrive
Shutting down: hda  ## (E)IDE harddrive
and each drive powers down in separately (heads retract, spindle
stops).  Non-harddrives hdc and hdd get no message and no apparent action.

Expected Results:  sync and flush cache only; no power cycle.

Additional info:

The old message (from .349 kernel) was
     Shutting down: hda hdb hdc hdd
but the harddrives kept spinning.  hdc is a DVD-ROM, hdd is a CD-RW.
Comment 1 Alexandre Oliva 2004-05-11 17:34:34 EDT
Not only wear and tear.  In my case, the BIOS often fails to bring the
disks back up, such that I can't reliably reboot the boxes.  I've
experienced such problems on boxes with A7V133 MoBos, one of them with
one HD on the VIA IDE controller and one HD on the Promise controller
(both ATA100); the other box with far many more disks, including a few
Sil0680 ATA133 controllers.  The reboot is slow, bcause the disks are
turned on one after the other, and it takes several seconds for each,
and quite often the BIOS times out or something like that waiting for
a disk to come back up and won't complete the boot, so manual
interaction is required (Ctrl-Alt-Del).  The 2.4 code only forced this
flush on shutdowns, not on reboots.  Can't we tell the difference and
proceed accordingly?  Sure not flushing on reboot leaves a window of
opportunity for disk corruption due to power failure after the kernel
reboots and before the disks complete the flush, but this opportunity
already exists in case of power failure before or while the kernel
forces the flush, so it's not such a big deal IMHO.
Comment 2 Alexandre Oliva 2004-05-19 16:40:27 EDT
*** Bug 123608 has been marked as a duplicate of this bug. ***
Comment 3 Thomas Zehetbauer 2004-05-19 16:51:50 EDT
This is a bug in the initscripts package and affects all platforms.
Comment 4 Alexandre Oliva 2004-05-19 18:13:01 EDT
It's actually the kernel reboot/shutdown code that does this, totally
by itself.  initscripts have nothing to do with it.
Comment 5 Alexandre Oliva 2004-05-19 18:14:26 EDT
Rats, clicked on commit to soon.

I also meant to point out that the problem appears to be that the
kernel had no way to distinguish between the shutdown and the reboot
cases.  I saw some patches in lkml floating around that were meant to
fix this, but I think they were post-2.6.6.  Maybe we could merge them
into an update kernel that might be issued for FC2 at some point in
the future?
Comment 6 Michael Renner 2004-05-19 18:32:52 EDT
I filed a kernel bug report at http://bugme.osdl.org/show_bug.cgi?id=2732
Comment 7 Anthony 2004-05-21 19:04:16 EDT
I'd like to comment that this bug only manifests itself with ATA
drives, on my system the hard drives on my SCSI interface do not have
a problem.
Comment 8 Alan Cox 2004-05-21 20:18:45 EDT

*** This bug has been marked as a duplicate of 123873 ***
Comment 9 Alexandre Oliva 2004-05-22 01:37:22 EDT
*** Bug 123873 has been marked as a duplicate of this bug. ***
Comment 10 Alan Cox 2004-05-22 10:30:31 EDT
Was that actually neccessary to change what was a dup of what
Alexandre. All the important information is now in Bug 123873 which
isnt the first one people will find.

Grumble 8)
Comment 11 Alexandre Oliva 2004-05-22 11:33:46 EDT
This was the one with a link to the osdl.org bug submission, that has
a link back to this one, so I thought it would be better this way.  We
don't want the link to the upstream bug report buried in one of a
dozen dups that this one might get.
Comment 12 Sindre Pedersen Bjørdal 2004-05-22 13:17:17 EDT
Seems like there's a patch available: 

ChangeSet@1.1726, 2004-05-20 22:22:11-07:00, akpm@osdl.org
[PATCH] ide-disk.c: don't put disks in STANDBY mode on reboot
From: Bartlomiej Zolnierkiewicz <B.Zolnierkiewicz@elka.pw.edu.pl>
From: Rene Herman <rene.herman@keyaccess.nl>
Prevent the disks from spinning down across a reboot.
Comment 13 Michael Renner 2004-05-25 11:33:24 EDT
verified, works for me. I guess we can close this bug.
Comment 14 Scott Sloan 2004-05-29 15:53:52 EDT
has a new kernel been issued to the development rpms yet?
Comment 15 Barry K. Nathan 2004-06-09 00:18:11 EDT
Yes, fc-devel has new kernels (.422 last time I checked)
Comment 16 Miloslav Trmac 2004-06-09 01:30:00 EDT
*** Bug 125487 has been marked as a duplicate of this bug. ***
Comment 17 Sindre Pedersen Bjørdal 2004-06-12 19:53:01 EDT
Does the new kernel in updates, kernel-2.6.6-1.427, fix this issue? If
it does shouldn't this bug be marked as resolved, and not Rawhide?
Comment 18 Barry K. Nathan 2004-06-12 20:14:27 EDT
> Does the new kernel in updates, kernel-2.6.6-1.427, fix this issue?


> If it does shouldn't this bug be marked as resolved, and not Rawhide?

This bug *is* closed. (AFAIK the Red Hat Bugzilla setup does not make
a distinction between CLOSED and RESOLVED.) And RAWHIDE is the correct
resolution -- this bug was resolved by an update in rawhide, and the
fact that the update has now been released doesn't change that.

(Perhaps my explanation is not correct, but the answer still is --
CLOSED/RAWHIDE is the correct state for this bug to be in.)

Note You need to log in before you can comment on or make changes to this bug.